=== debian/changelog ===
aaruremote (1.0+git20251229-0ddebs1~debian13) trixie; urgency=medium

  * * Initial release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 15 Feb 2026 23:16:52 +0100
